OpenAI Format
Jimeng Task Status Query
Use `GET /v1/videos/{task_id}` to query Jimeng video task status and results.
GET
https://zx1.deepwl.net/v1/videos/{task_id}Request
curl https://zx1.deepwl.net/v1/videos/video_123 \
-H "Authorization: Bearer YOUR_API_KEY"Response
{
"id": "video_123",
"object": "video",
"model": "jimeng-video-3.0",
"status": "queued",
"progress": 0,
"created_at": 1712697600,
"video_url": ""
}OpenAI-format query entry. If the task was submitted via POST /v1/video/create, please use Query Task.
After a Jimeng series task is submitted, query it via GET /v1/videos/{task_id}.
- A successful response returns an OpenAI-style
videoobject. - After the task is completed, you can read the result from
video_url.
Request Headers
Authorizationstring必填Authentication header. Uses a Bearer token, e.g. Bearer YOUR_API_KEY.
Query Parameters
task_idstring必填Video task ID.
Request Examples
Response Examples
Response Fields
idstringTask ID.
objectstringFixed as video.
modelstringModel name.
statusstringTask status: queued, processing, completed, failed, cancelled.
progressintegerProgress percentage (0-100).
created_atintegerCreation timestamp.
completed_atintegerCompletion timestamp (returned after the task is completed).
video_urlstringVideo result URL (returned after the task is completed).
Status Description
| Status | Description |
|---|---|
queued | Task submitted, queued |
processing | Task is being processed |
completed | Task completed, video available |
failed | Task failed |
cancelled | Task cancelled |